Subject: [Tsvwg] Re: tsvwg digest, Vol 1 #486 - 4 msgs

From: "Daisy Chang" <[email-masked]>
Date: Fri, 25 Jan 2002 15:07:11 -0500

Venkat,
     It's a good point. Do you know if there's any particular apps which
would
rely on the 0-byte datagram? I assume that they wouldn't add this to the
Java Compliance
Kit for nothing.

Thanks,
Daisy

Daisy Chang
IBM Linux Technology Center
[email-masked]
Tel: (512)-838-4194    T/L: 678-4194
FAX: (512)-838-4663

venkat venkatsubra <[email-masked]>@austin.ibm.com on 01/25/2002
11:46:20 AM

Sent by:  [email-masked]

To:   [email-masked]
cc:   Daisy Chang/Austin/IBM@IBMUS
Subject:  Re: tsvwg digest, Vol 1 #486 - 4 msgs

Daisy,

>
> Message: 2
> To: Randall Stewart <[email-masked]>
> Cc: [email-masked], [email-masked]
> From: "Daisy Chang" <[email-masked]>
> Date: Thu, 24 Jan 2002 11:34:20 -0600
> Subject: [Tsvwg] Re: question regarding the SCTP API - SCTP_INIT cmsg
>
> Yes, Randy, I think that the same behavior exists in Linux for TCP and
UDP.
> Well, for TCP, appending 0 bytes to the output queue really is harmless,
> nothing is affected, so it is perfectly OK. For UDP, it seems a little
> wierd if it
> does result into a NULL message on the wire. But for a datagram protocol,
> users are taking more control than they want to in their own hands, so I
> guess
> the protocol has no reason to reject it.

Sun has added a test to the Java Compliance Kit (suite of
testcases that all Java implementations must pass
to ship) that sends a datagram of 0 bytes length.
This works on Solaris, Linux, NT,  *BSD  and Aix.

> As for SCTP, I think that it makes a lot of sense to disallow NULL user
> messages.

Is it possible that some UDP applications ported to SCTP
might want this functionality ?

Venkat

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg